Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDSUBSTANCEschemes

    java.lang.Object
      java.lang.Enum<CDSUBSTANCEschemes>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDSUBSTANCEschemes

All Implemented Interfaces:
  Serializable, Comparable<CDSUBSTANCEschemes>

    public enum CDSUBSTANCEschemes

extends Enum<CDSUBSTANCEschemes>

Java class for CD-SUBSTANCEschemes.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-SUBSTANCEschemes">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="CD-INNCLUSTER"/>
         <enumeration value="CD-ATC"/>
         <enumeration value="CD-EAN"/>
         <enumeration value="CD-SUBSTANCE-CNK"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`CD_ATC`
`CD_EAN`
`CD_INNCLUSTER`
`CD_SUBSTANCE_CNK`

Method Summary
`static CDSUBSTANCEschemes` | `fromValue(String v)`
`String` | `value()`
`static CDSUBSTANCEschemes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDSUBSTANCEschemes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CD_INNCLUSTER

    public static final CDSUBSTANCEschemes CD_INNCLUSTER

### CD_ATC

    public static final CDSUBSTANCEschemes CD_ATC

### CD_EAN

    public static final CDSUBSTANCEschemes CD_EAN

### CD_SUBSTANCE_CNK

    public static final CDSUBSTANCEschemes CD_SUBSTANCE_CNK

Method Detail

### values

    public static CDSUBSTANCEschemes[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDSUBSTANCEschemes c : CDSUBSTANCEschemes.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDSUBSTANCEschemes valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDSUBSTANCEschemes fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging generic 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.